Subject: Re: bug#4654: 23.1; Elisp manual doc of abbreviate-file-name

From: Stefan Monnier <[email-masked]>
Date: Tue, 06 Oct 2009 16:21:15 -0400

> Question: Why? What is the rationale for not substituting `~' when it
> is a root directory? If the reason is short to express, perhaps it
> should be included in the doc. Understanding the rationale helps one
> remember what the function does.
 
"a root directory" means "/".  The reason is that substituting "/" for
"~" doesn't really abbreviate anything.  If anythingn to me it "looks"
longer because I expect ~ to expand to something longer.

        Stefan